[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Qemu-arm] [PATCH v2 06/16] archive-source.sh: Clone the submodules loca
From: |
Alex Bennée |
Subject: |
[Qemu-arm] [PATCH v2 06/16] archive-source.sh: Clone the submodules locally |
Date: |
Thu, 7 Feb 2019 18:37:34 +0000 |
From: Philippe Mathieu-Daudé <address@hidden>
We cloned the QEMU repository from the local storage. Since the
submodules are also available there, clone them too. This is
quicker and reduce network use.
Signed-off-by: Philippe Mathieu-Daudé <address@hidden>
[AJB: incorporated review suggestions from danpb]
Signed-off-by: Alex Bennée <address@hidden>
---
scripts/archive-source.sh | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/scripts/archive-source.sh b/scripts/archive-source.sh
index 6eed2a29bd..d3a88f71e9 100755
--- a/scripts/archive-source.sh
+++ b/scripts/archive-source.sh
@@ -38,6 +38,13 @@ else
fi
git clone --shared . "$vroot_dir"
test $? -ne 0 && error "failed to clone into '$vroot_dir'"
+for sm in $submodules; do
+ if test -d "$sm/.git"
+ then
+ git clone --shared "$sm" "$vroot_dir/$sm"
+ test $? -ne 0 && error "failed to clone submodule $sm"
+ fi
+done
cd "$vroot_dir"
test $? -ne 0 && error "failed to change into '$vroot_dir'"
--
2.20.1
- [Qemu-arm] [PATCH v2 00/16] current testing/next queue (with build fixes), Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 02/16] .travis.yml: stop requesting libffi & gettext from homebrew, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 04/16] .travis.yml: fold --disable-tcg into alternate coroutine builds, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 01/16] .cirrus.yml: basic compile and test for FreeBSD, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 05/16] MAINTAINERS: Add an entry for scripts/archive-source.sh, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 08/16] tests: make docker.py update use configured binfmt path, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 03/16] .travis.yml: separate tools and docs into another entry, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 06/16] archive-source.sh: Clone the submodules locally,
Alex Bennée <=
- [Qemu-arm] [PATCH v2 07/16] docker: add debian-buster-arm64-cross, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 10/16] tests: docker.py be even smarter with persistent binfmt_misc, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 14/16] tests/vm: add --build-target option, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 12/16] tests/vm: move images to $HOME/.cache/qemu-vm/images, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 16/16] scripts/qemu.py: allow arches use KVM for their 32bit cousins, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 09/16] tests: make docker.py check for persistent configs, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 11/16] tests: PEP8 cleanup of docker.py, mostly white space, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 13/16] tests/vm: call make check directly for netbsd/freebsd/ubuntu.i386, Alex Bennée, 2019/02/07
- [Qemu-arm] [PATCH v2 15/16] tests/vm: expose BUILD_TARGET, TARGET_LIST and EXTRA_CONFIGURE_OPTS, Alex Bennée, 2019/02/07
- Re: [Qemu-arm] [Qemu-devel] [PATCH v2 00/16] current testing/next queue (with build fixes), Philippe Mathieu-Daudé, 2019/02/07